Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util.mail
Class MailMessage

    java.lang.Object
      javax.mail.Message
          javax.mail.internet.MimeMessage
              com.novell.nds.dirxml.util.mail.MailMessage

All Implemented Interfaces:
  javax.mail.internet.MimePart, javax.mail.Part

    public class MailMessage

extends javax.mail.internet.MimeMessage

An extension of MimeMail message with a constructor that constructs the message from an XML description.

Nested Class Summary

Nested classes/interfaces inherited from class javax.mail.internet.MimeMessage
`javax.mail.internet.MimeMessage.RecipientType`

Field Summary
`protected Vector` | `attachmentList`
`protected javax.mail.Address` | `from`
`protected Vector` | `messagePartList`
`protected Vector` | `recipientList`
`protected Vector` | `replyTo`

Fields inherited from class javax.mail.internet.MimeMessage
`content, contentStream, dh, flags, headers, modified, saved`

Fields inherited from class javax.mail.Message
`expunged, folder, msgnum, session`

Fields inherited from interface javax.mail.Part
`ATTACHMENT, INLINE`

Constructor Summary
`MailMessage(String defaultFrom, javax.mail.Session session, Element mail, StylesheetSource stylesheets)` Construct a mail message (MimeMessage) based on an XML description.

Method Summary
`void` | `addWarning(String msg)` Add a warning string for a non-fatal condition encountered during parsing or construction of the Message and its parts.
`protected void` | `construct()` Construct the Message after parsing the XML description.
`String` | `getWarningMessages()` Get any warning messages generated during construction of the mail message.
`XSLTHandler` | `getXSLTHandler()` Get implementation of nxsl ErrorHandler and MessageHandler interfaces for use in processing a stylesheet.
`protected void` | `parse(Element mail, StylesheetSource stylesheets)` Parse the <mail> element.

Methods inherited from class javax.mail.internet.MimeMessage
`addFrom, addHeader, addHeaderLine, addRecipients, addRecipients, createInternetHeaders, getAllHeaderLines, getAllHeaders, getAllRecipients, getContent, getContentID, getContentLanguage, getContentMD5, getContentStream, getContentType, getDataHandler, getDescription, getDisposition, getEncoding, getFileName, getFlags, getFrom, getHeader, getHeader, getInputStream, getLineCount, getMatchingHeaderLines, getMatchingHeaders, getMessageID, getNonMatchingHeaderLines, getNonMatchingHeaders, getRawInputStream, getReceivedDate, getRecipients, getReplyTo, getSender, getSentDate, getSize, getSubject, isMimeType, isSet, parse, removeHeader, reply, saveChanges, setContent, setContent, setContentID, setContentLanguage, setContentMD5, setDataHandler, setDescription, setDescription, setDisposition, setFileName, setFlags, setFrom, setFrom, setHeader, setRecipients, setRecipients, setReplyTo, setSender, setSentDate, setSubject, setSubject, setText, setText, updateHeaders, writeTo, writeTo`

Methods inherited from class javax.mail.Message
`addRecipient, getFolder, getMessageNumber, isExpunged, match, setExpunged, setFlag, setMessageNumber, setRecipient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipientList

    protected Vector recipientList

### messagePartList

    protected Vector messagePartList

### attachmentList

    protected Vector attachmentList

### replyTo

    protected Vector replyTo

### from

    protected javax.mail.Address from

Constructor Detail

### MailMessage

    public MailMessage(String defaultFrom,
                       javax.mail.Session session,
                       Element mail,
                       StylesheetSource stylesheets)
                throws HandlerException

  Construct a mail message (MimeMessage) based on an XML description.

  Parameters:
    `defaultFrom` - Will be used unless from is explicitly set. Comes from the driver parameter.
    `session` - The Session object for this message.
    `mail` - The <mail> element that contains the description of the mail message to construct.
    `stylesheets` - A StylesheetSource object from which to load stylesheets, xml documents, and other files referenced in the describing XML. is being sent.
  Throws:
    `HandlerException` - if the XML description is invalid

Method Detail

### getXSLTHandler

    public XSLTHandler getXSLTHandler()

  Get implementation of nxsl ErrorHandler and MessageHandler interfaces for use in processing a stylesheet.

### getWarningMessages

    public String getWarningMessages()

  Get any warning messages generated during construction of the mail message.

### parse

    protected void parse(Element mail,
                         StylesheetSource stylesheets)
                  throws HandlerException,
                         FileNotFoundException

  Parse the <mail> element.

  Parameters:
    `mail` - The element.
    `stylesheets` - Source for any files, XML documents, or XSLT stylesheets references in the mail XML description. supplied to stylesheets used in construction of message parts.
  Throws:
    `HandlerException`
    `FileNotFoundException`

### construct

    protected void construct()
                      throws HandlerException

  Construct the Message after parsing the XML description.

  Throws:
    `HandlerException`

### addWarning

    public void addWarning(String msg)

  Add a warning string for a non-fatal condition encountered during parsing or construction of the Message and its parts. Designed primary to be called by MailMessagePart.

  Parameters:
    `msg` - The text of the message to add.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD